Bug 8476 - Samba asserts when SMB2 client breaks the crediting rules.
Samba asserts when SMB2 client breaks the crediting rules.
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: SMB2
3.6.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 8399
  Show dependency treegraph
 
Reported: 2011-09-22 16:06 UTC by Jeremy Allison
Modified: 2011-09-28 18:08 UTC (History)
1 user (show)

See Also:


Attachments
git-am patch for 3.6.0 (1.20 KB, patch)
2011-09-22 19:03 UTC, Jeremy Allison
metze: review+
metze: review? (jra)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2011-09-22 16:06:28 UTC
Found by Codenomicon. We should just drop the connection with a nasty message, not hit an SMB_ASSERT in this case.

Patch to follow.

Jeremy.
Comment 1 Jeremy Allison 2011-09-22 19:03:47 UTC
Created attachment 6929 [details]
git-am patch for 3.6.0

Fix that went into master.
Jeremy.
Comment 2 Stefan Metzmacher 2011-09-26 05:27:43 UTC
Comment on attachment 6929 [details]
git-am patch for 3.6.0

Ok, but we need to have
02d83d8fd4d21825110fd7da1ccb570a26e66ca6 on top of it.
Comment 3 Jeremy Allison 2011-09-26 22:25:48 UTC
Karolin, please pick d50fa9c21e1c3b6f7126c33e24966099c7567225 followed by 02d83d8fd4d21825110fd7da1ccb570a26e66ca6 from master to 3.6.1.

Thanks !

Jeremy.
Comment 4 Karolin Seeger 2011-09-28 18:08:27 UTC
(In reply to comment #3)
> Karolin, please pick d50fa9c21e1c3b6f7126c33e24966099c7567225 followed by
> 02d83d8fd4d21825110fd7da1ccb570a26e66ca6 from master to 3.6.1.
> 
> Thanks !
> 
> Jeremy.

Pushed both commits to v3-6-test.
Closing out bug report.

Thanks!